#include "StaticPredictor.h"

StaticPredictor::StaticPredictor() : Predictor(){
  
}

BranchOutcome StaticPredictor::predictBranch(ADDRINT addr){

  return NotTaken;

}

void StaticPredictor::updatePredictor(ADDRINT addr, BranchOutcome o){

}

void StaticPredictor::dumpStats(){

  fprintf(stderr,"Branch Predictor: Static-NotTaken\n");
  fprintf(stderr,"%lu out of %lu branches were taken (%f%%). Correctly predicted %lu (%f%%).\n",this->numTaken, 
                this->numBranches, 
                (float)this->numTaken/(float)this->numBranches, 
                this->correctPredictions, 
                (float)this->correctPredictions/(float)this->numBranches);

}

extern "C" Predictor *Create(){

  return new StaticPredictor();

}
