#include "TwoBitSaturatingPredictor.h"

TwoBitSaturatingPredictor::TwoBitSaturatingPredictor() : Predictor(){


}

BranchOutcome TwoBitSaturatingPredictor::predictBranch(ADDRINT addr){

  return Taken;

}

void TwoBitSaturatingPredictor::updatePredictor(ADDRINT addr, BranchOutcome o){


}

void TwoBitSaturatingPredictor::dumpStats(){

  fprintf(stderr,"Branch Predictor: TwoBitSaturating\n");
  fprintf(stderr,"%lu out of %lu branches were taken (%f%%). Correctly predicted %lu (%f%%).\n",this->numTaken, 
                this->numBranches, 
                (float)this->numTaken/(float)this->numBranches, 
                this->correctPredictions, 
                (float)this->correctPredictions/(float)this->numBranches);

}

extern "C" Predictor *Create(){

  return new TwoBitSaturatingPredictor();

}
